package com.usky.iot.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.iot.domain.CrmDeviceRepair;
import com.usky.common.mybatis.core.CrudService;
import com.usky.iot.service.vo.CrmDeviceRepairScoreVO;
import com.usky.iot.service.vo.CrmDeviceRepairVO;
import com.usky.iot.service.vo.PhoneVerifyVO;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 设备报修记录表 服务类
 * </p>
 *
 * @author han
 * @since 2023-09-06
 */
public interface CrmDeviceRepairService extends CrudService<CrmDeviceRepair> {

    void add(CrmDeviceRepair crmDeviceRepair);

    CommonPage<CrmDeviceRepair> page(CrmDeviceRepairVO crmDeviceRepairVO);

    void fill(CrmDeviceRepair crmDeviceRepair);

    void score(CrmDeviceRepairScoreVO scoreVO);

    void phoneVerify(PhoneVerifyVO phoneVerifyVO);

    CommonPage<CrmDeviceRepair> getHistory(PhoneVerifyVO phoneVerifyVO);
}
